# $Revision: 1.29 $, $Date: 2011/02/23 15:14:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Module
%define		pnam	Info
Summary:	Module::Info perl module - information about Perl modules
Summary(pl.UTF-8):	Moduł perla Module::Info - informacje o modułach Perla
Name:		perl-Module-Info
Version:	0.32
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Module/MBARBON/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6af6f7859d959eac9f85dda8896d2d51
URL:		http://search.cpan.org/dist/Module-Info/
%if %{with tests}
#BuildRequires:	perl-B-Utils
BuildRequires:	perl(File::Spec) >= 0.8
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module::Info gives you information about Perl modules without actually
loading the module. It actually isn't specific to modules and should
work on any perl code.

%description -l pl.UTF-8
Module::Info podaje informacje o modułach Perla bez wczytywania
modułu. Działanie to właściwie nie jest ograniczone do modułów i
powinno działać z dowolnym kodem w Perlu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/module_info
%attr(755,root,root) %{_bindir}/pfunc
%{perl_vendorlib}/B/BUtils.pm
%{perl_vendorlib}/B/Module
%{perl_vendorlib}/Module/Info.pm
%{_mandir}/man1/module_info.1p*
%{_mandir}/man1/pfunc.1p*
%{_mandir}/man3/B::BUtils.3pm*
%{_mandir}/man3/B::Module::Info.3pm*
%{_mandir}/man3/Module::Info.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Module-Info.spec,v $
Revision 1.29  2011/02/23 15:14:14  qboosh
- updated to 0.32
- conflict with original B::Utils has been resolved

Revision 1.28  2007/12/24 14:07:48  qboosh
- generic URL

Revision 1.27  2007-12-24 01:29:05  zbyniu
- up to 0.31

Revision 1.26  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:41  baggins
- converted to UTF-8

Revision 1.24  2006/07/11 21:15:34  agaran
- up to 0.30, rel1, builds here

Revision 1.23  2005/06/21 15:34:52  czucz
- updated to 0.28

Revision 1.22  2004/11/03 22:30:35  paladine
- formatting

Revision 1.21  2004/07/12 17:19:28  adamg
- updated to 0.26

Revision 1.20  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.19  2004/05/06 18:43:19  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/24 14:52:15  ankry
- license fixes / unification

Revision 1.17  2004/04/14 21:16:32  ankry
- cosmetics, unification

Revision 1.16  2003/11/01 12:07:00  qboosh
- updated to 0.24, new-style bcond, License is known since 0.21

Revision 1.15  2003/09/18 13:20:23  adamg
- updated to 0.23

Revision 1.14  2003/09/03 20:56:24  adamg
- updated to 0.22

Revision 1.13  2003/08/18 08:09:02  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/06/11 13:45:51  qboosh
- cosmetics and Vendor from RA-branch, up to 0.20

Revision 1.11  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/13 00:03:15  ankry
- merge from RA-branch: updated to 0.18

Revision 1.7  2003/03/01 20:21:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:36:56  ankry
- massive attack: change CPAN URLs

Revision 1.4  2003/01/08 13:12:15  mis
- autoupdated to 0.16

Revision 1.3  2002/09/05 21:12:36  radek
- release 3
- added Conflicts: perl-B-Utils

Revision 1.2  2002/09/04 13:53:37  radek
- added conditional tests
- removed conflict with perl-B-Utils, but tests will fail -- waiting
  for a new version, compliant with newest B::Utils.

Revision 1.1  2002/07/13 23:13:46  qboosh
- new
